#include <bits/stdc++.h>

using namespace std;

vector<bool> B(10);


bool dal_je_cvrs(int broj)
{
    int i,k;
    for(i=0;i<10;i++)B[i]=false;
    while(broj)
    {
        k=broj%10;
        if(B[k])return false;
        while(broj%10==k)broj/=10;
        B[k]=true;
    }
    return true;
}

int main()
{
    ios_base::sync_with_stdio(false);cin.tie(NULL);cout.tie(NULL);
    int i,n=123426,n1,k,mini=10000000,n_size=0;
    cin>>n;
    n1=n;
    vector<int> V;
    while(n1)
    {
        n1/=10;
        n_size++;
    }
    k=(int)pow(10,n_size-1);
    for(i=k;i<k*10;i++)if(dal_je_cvrs(i))V.push_back(i);
    for(i=0;i<V.size();i++)
    {
        k=0;
        n1=n;
        while(n1)
        {
            if(n1%10!=V[i]%10)k++;
            V[i]/=10;
            n1/=10;
        }
        if(k<mini)mini=k;
    }
    cout<<mini;
    return 0;
}